package com.steering.mes.SendRecive;

/**
 * 数据库表TMS_EXECUTE_B所对应的实体类（生成工具：代码生成器2.4）
 * @author DESKTOP-SA5N7PS   date 2020-04-28
 */
public class TmsExecuteBEntity {
    /**
     * 装车实绩编号(YYYYMMDD+5位流水)
     */
    private String executeNo;
    /**
     * 装卸点代码(ZX+4位流水)
     */
    private String unloadingCode;
    /**
     * 装卸点所属区域代码(产销系统中库房/产线代码)
     */
    private String unloadingAreaCode;
    /**
     * 车牌号
     */
    private String carLicense;
    /**
     * 运输计划号
     */
    private String plnNo;
    /**
     * 运单号
     */
    private String waybillNo;
    /**
     * 执行时间
     */
    private String executeTime;
    /**
     * 参考单号(产销系统装车单号)
     */
    private String refeNo;
    /**
     * 备注
     */
    private String memo;
    /**
     * 数据状态(00无效10确认)
     */
    private String validflag;
    /**
     * 会计年月(YYYYMM)
     */
    private String accountYearMonth;
    /**
     * 归档标志(1归档、0未归档)
     */
    private String archiveFlag;
    /**
     * 归档编号(GD+YYYYYMMDD+3位流水号)
     */
    private String archiveNo;
    /**
     * 归档日期(YYYYMMDD)
     */
    private String archiveDate;
    /**
     * 创建人ID
     */
    private String createUserid;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人ID
     */
    private String updateUserid;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 废除人ID
     */
    private String deleteUserid;
    /**
     * 废除人
     */
    private String deleteName;
    /**
     * 废除时间
     */
    private String deleteTime;

    public TmsExecuteBEntity(){
        executeNo = "";
        unloadingCode = "";
        unloadingAreaCode = "";
        carLicense = "";
        plnNo = "";
        waybillNo = "";
        executeTime = "";
        refeNo = "";
        memo = "";
        validflag = "";
        accountYearMonth = "";
        archiveFlag = "";
        archiveNo = "";
        archiveDate = "";
        createUserid = "";
        createName = "";
        createTime = "";
        updateUserid = "";
        updateName = "";
        updateTime = "";
        deleteUserid = "";
        deleteName = "";
        deleteTime = "";
    }

    /**
     * 装车实绩编号(YYYYMMDD+5位流水)
     * @return value
     */
    public String getExecuteNo() {
        return executeNo;
    }

    /**
     * 装车实绩编号(YYYYMMDD+5位流水)
     * @param executeNo value
     */
    public void setExecuteNo(String executeNo) {
        this.executeNo = executeNo;
    }

    /**
     * 装卸点代码(ZX+4位流水)
     * @return value
     */
    public String getUnloadingCode() {
        return unloadingCode;
    }

    /**
     * 装卸点代码(ZX+4位流水)
     * @param unloadingCode value
     */
    public void setUnloadingCode(String unloadingCode) {
        this.unloadingCode = unloadingCode;
    }

    /**
     * 装卸点所属区域代码(产销系统中库房/产线代码)
     * @return value
     */
    public String getUnloadingAreaCode() {
        return unloadingAreaCode;
    }

    /**
     * 装卸点所属区域代码(产销系统中库房/产线代码)
     * @param unloadingAreaCode value
     */
    public void setUnloadingAreaCode(String unloadingAreaCode) {
        this.unloadingAreaCode = unloadingAreaCode;
    }

    /**
     * 车牌号
     * @return value
     */
    public String getCarLicense() {
        return carLicense;
    }

    /**
     * 车牌号
     * @param carLicense value
     */
    public void setCarLicense(String carLicense) {
        this.carLicense = carLicense;
    }

    /**
     * 运输计划号
     * @return value
     */
    public String getPlnNo() {
        return plnNo;
    }

    /**
     * 运输计划号
     * @param plnNo value
     */
    public void setPlnNo(String plnNo) {
        this.plnNo = plnNo;
    }

    /**
     * 运单号
     * @return value
     */
    public String getWaybillNo() {
        return waybillNo;
    }

    /**
     * 运单号
     * @param waybillNo value
     */
    public void setWaybillNo(String waybillNo) {
        this.waybillNo = waybillNo;
    }

    /**
     * 执行时间
     * @return value
     */
    public String getExecuteTime() {
        return executeTime;
    }

    /**
     * 执行时间
     * @param executeTime value
     */
    public void setExecuteTime(String executeTime) {
        this.executeTime = executeTime;
    }

    /**
     * 参考单号(产销系统装车单号)
     * @return value
     */
    public String getRefeNo() {
        return refeNo;
    }

    /**
     * 参考单号(产销系统装车单号)
     * @param refeNo value
     */
    public void setRefeNo(String refeNo) {
        this.refeNo = refeNo;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 数据状态(00无效10确认)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 数据状态(00无效10确认)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 会计年月(YYYYMM)
     * @return value
     */
    public String getAccountYearMonth() {
        return accountYearMonth;
    }

    /**
     * 会计年月(YYYYMM)
     * @param accountYearMonth value
     */
    public void setAccountYearMonth(String accountYearMonth) {
        this.accountYearMonth = accountYearMonth;
    }

    /**
     * 归档标志(1归档、0未归档)
     * @return value
     */
    public String getArchiveFlag() {
        return archiveFlag;
    }

    /**
     * 归档标志(1归档、0未归档)
     * @param archiveFlag value
     */
    public void setArchiveFlag(String archiveFlag) {
        this.archiveFlag = archiveFlag;
    }

    /**
     * 归档编号(GD+YYYYYMMDD+3位流水号)
     * @return value
     */
    public String getArchiveNo() {
        return archiveNo;
    }

    /**
     * 归档编号(GD+YYYYYMMDD+3位流水号)
     * @param archiveNo value
     */
    public void setArchiveNo(String archiveNo) {
        this.archiveNo = archiveNo;
    }

    /**
     * 归档日期(YYYYMMDD)
     * @return value
     */
    public String getArchiveDate() {
        return archiveDate;
    }

    /**
     * 归档日期(YYYYMMDD)
     * @param archiveDate value
     */
    public void setArchiveDate(String archiveDate) {
        this.archiveDate = archiveDate;
    }

    /**
     * 创建人ID
     * @return value
     */
    public String getCreateUserid() {
        return createUserid;
    }

    /**
     * 创建人ID
     * @param createUserid value
     */
    public void setCreateUserid(String createUserid) {
        this.createUserid = createUserid;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人ID
     * @return value
     */
    public String getUpdateUserid() {
        return updateUserid;
    }

    /**
     * 修改人ID
     * @param updateUserid value
     */
    public void setUpdateUserid(String updateUserid) {
        this.updateUserid = updateUserid;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 废除人ID
     * @return value
     */
    public String getDeleteUserid() {
        return deleteUserid;
    }

    /**
     * 废除人ID
     * @param deleteUserid value
     */
    public void setDeleteUserid(String deleteUserid) {
        this.deleteUserid = deleteUserid;
    }

    /**
     * 废除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 废除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 废除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 废除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }
}